{
	"$schema": "http://json-schema.org/draft-04/schema#",
	"title": "riegl.imported_control_objects",
	"description": "Imported control object text files",
	"type": "object",
	"properties": {
		"control_objects": {
			"type": "object",
			"description": "One (optional) field per control object, field name is control object id",
			"patternProperties": {
				"^[0-9]+$": {
					"type": "object",
					"properties": {
						"file": {
							"type": "integer",
							"description": "Index (0-based) of the file in the 'imported_files' array"
						},
						"line_start": {
							"type": "integer",
							"description": "Index (0-based) of the first line used from the 'lines' array"
						},
						"line_count": {
							"type": "integer",
							"description": "Number of lines used to import this object"
						}
					},
					"required": [
						"file",
						"line_start",
						"line_count"
					]
				}
			}
		},
		"imported_files": {
			"type": "array",
			"description": "Array of imported files",
			"items": {
				"type": "object",
				"properties": {
					"path": {
						"type": "string",
						"description": "Path of the text file"
					},
					"lines": {
						"type": "array",
						"items": {
							"type": "string"
						},
						"description": "Each entry in this array is a line (string) from the text file"
					}
				},
				"required": [
					"path",
					"lines"
				]
			}
		}
	},
	"required": [
		"control_objects",
		"imported_files"
	]
}